| Home | Libraries | People | FAQ | More

###### url_view::operator= (1 of 2 overloads)

Assignment.

###### Synopsis

    url_view&
    operator=(
        url_view const& other);

###### Description

After assignment, both views reference the same underlying character buffer. Ownership is not transferred.

###### Postconditions

    this->buffer().data() == other.buffer().data()

###### Complexity

Constant.

###### Exception Safety

Throws nothing.